<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yonge.cooleshow.biz.dal.mapper.PaymentMerchantConfigMapper">

	 
    
    <!-- 表字段 -->
    <sql id="baseColumns">
         t.id_ AS id
        , t.tenant_id_ AS tenantId
        , t.payment_vendor_ AS paymentVendor
        , t.payer_name_ AS payerName
        , t.app_id_ AS appId
        , t.mer_key_ AS merKey
        , t.api_key_ AS apiKey
        , t.mock_api_key_ AS mockApiKey
        , t.rsa_private_key_ AS rsaPrivateKey
        , t.rsa_public_key_ AS rsaPublicKey
        , t.expend_params_ AS expendParams
        , t.wx_app_id_ AS wxAppId
        , t.wx_app_secret_ AS wxAppSecret
        , t.alipay_app_id_ AS alipayAppId
        , t.alipay_private_key_ AS alipayPrivateKey
        , t.alipay_public_key_ AS alipayPublicKey
        , t.pay_channel_ AS payChannel
        , t.create_time_ AS createTime
        , t.update_time_ AS updateTime
        </sql> 
    
    <select id="selectPage" resultType="com.yonge.cooleshow.biz.dal.entity.PaymentMerchantConfig">
		SELECT         
        	<include refid="baseColumns" />
		FROM payment_merchant_config t
	</select>
    
</mapper>